# Uses of Class
org.eclipse.osgi.storage.bundlefile.BundleFile

Packages that use BundleFile
Package
Description
org.eclipse.osgi.storage
org.eclipse.osgi.storage.bundlefile

## Uses of BundleFile in org.eclipse.osgi.storage

Subclasses of BundleFile in org.eclipse.osgi.storage
Modifier and Type
Class
Description
`class`
`SystemBundleFile`
Methods in org.eclipse.osgi.storage that return BundleFile
Modifier and Type
Method
Description
`BundleFile`
Storage.`createBundleFile(File content, BundleInfo.Generation generation, boolean isDirectory, boolean isBase)`
`BundleFile`
Storage.`createNestedBundleFile(String nestedDir, BundleFile bundleFile, BundleInfo.Generation generation)`
`BundleFile`
Storage.`createNestedBundleFile(String nestedDir, BundleFile bundleFile, BundleInfo.Generation generation, Collection<String> filterPrefixes)`
`BundleFile`
BundleInfo.Generation.`getBundleFile()`
`BundleFile`
Storage.`wrapBundleFile(BundleFile bundleFile, BundleInfo.Generation generation, boolean isBase)`
Methods in org.eclipse.osgi.storage with parameters of type BundleFile
Modifier and Type
Method
Description
`BundleFile`
Storage.`createNestedBundleFile(String nestedDir, BundleFile bundleFile, BundleInfo.Generation generation)`
`BundleFile`
Storage.`createNestedBundleFile(String nestedDir, BundleFile bundleFile, BundleInfo.Generation generation, Collection<String> filterPrefixes)`
`BundleFile`
Storage.`wrapBundleFile(BundleFile bundleFile, BundleInfo.Generation generation, boolean isBase)`
Method parameters in org.eclipse.osgi.storage with type arguments of type BundleFile
Modifier and Type
Method
Description
`static List<String>`
Storage.`listEntryPaths(List<BundleFile> bundleFiles, String path, String filePattern, int options)`
Returns the names of resources available from a list of bundle files.

## Uses of BundleFile in org.eclipse.osgi.storage.bundlefile

Subclasses of BundleFile in org.eclipse.osgi.storage.bundlefile
Modifier and Type
Class
Description
`class`
`BundleFileWrapper`
A `bundle file` decorator.
`class`
`BundleFileWrapperChain`
Used to chain the BundleFile objects returned from `BundleFileWrapperFactoryHook`.
`class`
`CloseableBundleFile<E>`
A BundleFile that manages the number of open bundle files by using the MRUBundleFileList
`class`
`DirBundleFile`
A BundleFile that uses a directory as its base file.
`class`
`NestedDirBundleFile`
A NestedDirBundleFile uses another BundleFile as its source but accesses all of its resources relative to a nested directory within the other BundleFile object.
`class`
`ZipBundleFile`
A BundleFile that uses a ZipFile as it base file.
Classes in org.eclipse.osgi.storage.bundlefile that implement interfaces with type arguments of type BundleFile
Modifier and Type
Class
Description
`class`
`MRUBundleFileList`
A simple/quick/small implementation of an MRU (Most Recently Used) list to keep track of open BundleFiles.
Methods in org.eclipse.osgi.storage.bundlefile that return BundleFile
Modifier and Type
Method
Description
`BundleFile`
BundleFileWrapper.`getBundleFile()`
Get the wrapped bundle file.
`BundleFile`
BundleFileWrapperChain.`getWrapped()`
The BundleFile that is wrapped
Methods in org.eclipse.osgi.storage.bundlefile with parameters of type BundleFile
Modifier and Type
Method
Description
`boolean`
MRUBundleFileList.`add(BundleFile bundleFile)`
Adds a BundleFile which is about to be opened to the MRU list.
`final void`
MRUBundleFileList.`dispatchEvent(Object eventListener, Object listenerObject, int eventAction, BundleFile eventObject)`
`boolean`
MRUBundleFileList.`isClosing(BundleFile bundleFile)`
Returns true if this MRUBundleFileList is currently closing the specified bundle file on the current thread.
`boolean`
MRUBundleFileList.`remove(BundleFile bundleFile)`
Removes a bundle file which is about to be closed
`void`
MRUBundleFileList.`use(BundleFile bundleFile)`
Increments the use stamp of a bundle file
Constructors in org.eclipse.osgi.storage.bundlefile with parameters of type BundleFile
Modifier
Constructor
Description
``
`BundleFileWrapper(BundleFile bundleFile)`
Creates a new `BundleFileWrapper` instance wrapping the given `bundle file`.
``
`BundleFileWrapperChain(BundleFile wrapped, BundleFileWrapperChain next)`
``
`NestedDirBundleFile(BundleFile baseBundlefile, String nestedDirName)`
Constructs a NestedDirBundleFile
``
`NestedDirBundleFile(BundleFile baseBundlefile, String nestedDirName, Collection<String> filterPrefixes)`
Constructs a NestedDirBundleFile